- Qt 6.8
- Qt Network
- C++ Classes
- GeneratorParameters
- Qt 6.8.1 Reference Documentation

# GeneratorParameters Struct

struct QDtlsClientVerifier::GeneratorParameters

This class defines parameters for DTLS cookie generator. More...

- List of all members, including inherited members
- GeneratorParameters is part of Network Programming API.

## Public Functions

| GeneratorParameters()
| GeneratorParameters(QCryptographicHash::Algorithm algorithm, const QByteArray &secret)

## Detailed Description

An object of this class provides the parameters that QDtlsClientVerifier will use to generate DTLS cookies. They include a cryptographic hash algorithm and a secret.

Note: An empty secret is considered to be invalid by QDtlsClientVerifier::setCookieGeneratorParameters().

See also QDtlsClientVerifier::setCookieGeneratorParameters(), QDtlsClientVerifier::cookieGeneratorParameters(), QDtls::setCookieGeneratorParameters(), QDtls::cookieGeneratorParameters(), and QCryptographicHash::Algorithm.

## Member Function Documentation

### GeneratorParameters::GeneratorParameters()

Default constructs GeneratorParameters object with QCryptographicHash::Sha1 as its algorithm and an empty secret.

See also QDtlsClientVerifier::setCookieGeneratorParameters(), QDtlsClientVerifier::cookieGeneratorParameters(), QDtls::setCookieGeneratorParameters(), and QDtls::cookieGeneratorParameters().

### GeneratorParameters::GeneratorParameters(QCryptographicHash::Algorithm algorithm, const QByteArray &secret)

Constructs GeneratorParameters object from algorithm and secret.

See also QDtlsClientVerifier::setCookieGeneratorParameters(), QDtlsClientVerifier::cookieGeneratorParameters(), QDtls::setCookieGeneratorParameters(), and QDtls::cookieGeneratorParameters().